Below are the steps for applying quarterly PSU patch on Oracle 11g database.

1. Download the patch from Oracle support portal.

 

2. Validate patch version:

opatch utility is used to apply patches to the database. So before applying patch, we need to check whether the existing opatch version is supported for the patch or not.

So refer the readme file of the patch for the minimum supported version.

As per patch read me file:

1.2.1 OPatch Utility
You must use the OPatch utility version 11.2.0.3.6 or later to apply this patch. Oracle recommends that you use the latest released OPatch version for 11.2, which is available for download from My Oracle Support patch 6880880 by selecting the 11.2.0.0.0 release.
For information about OPatch documentation, including any known issues, see My Oracle Support Document 293369.1 OPatch documentation list.

So for this patch , the opatch version should be 11.2.0.3.6 or later.

Lets check the existing opatch version in database.

Existing version is 11.2.0.3.4, lower than the required one. So we need to install the required opatch utility.

INSTALLING OPATCH UTILITY:

Download opatch utillty from oracle support linke – 6880880

 

copy the zip to ORACLE_HOME.

Remove the existing OPatch directory

Unzip the zip file.

Now check the opatch version

We have installed opatch utility successfully.

 

Now let’s proceed with PSU patch installation.

INSTALLING PSU PATCH

Copy and unzip the PATCH ZIP FILE:

Check for conflict again ORACLE_HOME.

It succeded.

Shutdown database and listener.

Check for active executables:

$ORACLE_HOME/OPatch/opatch prereq CheckActiveFilesAndExecutables -ph ./

Apply the patch:

cd 27734982
$ORACLE_HOME/OPatch/opatch apply

patching completed. Warnings can be ignored.

Check the inventory, whether the patch has been updated or not:

$ORACLE_HOME/OPatch/opatch lsinventory

Start the database and listener.

Run the post-patch script:

compile the invalid object.

Check patch history: